Introduction

 Top

Installing R packages for the GLUE Program

for Estimating Genetic Coefficients

The GLUE program was developed to estimate genetic coefficients for any of the crops in DSSAT v4.5 based on experiments (or yield trials) that have measurements of phenology (anthesis and maturity dates), peak leaf area index any time during the season, and yield components (e.g., grain yield, biomass yield) available as well as soil and weather for the experiments. The program will estimate genetic coefficients to best match all variables simultaneously. Users should only use this procedure for crops grown under conditions where neither water nor nutrients are limiting (i.e., potential yield) unless they are highly confident that soil water and nutrient conditions are modeled correctly. See Jones et al. (2010) and He et al. (2010) for more information on this approach, and also see the user’s guide in the DSSAT Documentation folder.

The GLUE program was developed using the R statistical programming language. R is an Open Source language and environment for statistical computing and graphics, which provides a wide variety of statistical and graphical techniques, and is highly extensible. R is available as Free Software under the terms of the Free Software Foundation's GNU General Public License in source code form. You can find more information at http://www.r-project.org/.

If you have already installed R on your computer or even if it is the first time you are installing R, you should configure it to work with GLUE. GLUE requires R version 2.10.1. The R program requires two packages, “MASS” and “xlsReadWrite”, to run the GLUE program. To install these packages, follow these steps:

1. Run R with Administrator privileges in sessions where you want to install packages. Do so by right-clicking on the R shortcut and selecting 'Run as Administrator'.
2. Using the File pull-down menu on R, Select “change dir…” and browse to the DSSAT45/Tools/GLUE/Install directory. Hit “OK” to close the window.

3.

4. Using the File pull-down menu on R, Select “Source R code…” and select GLUE_setup.R and then hit “Open”. By selecting this file, both packages needed for GLUE (“MASS” and “xlsReadWrite”) will be installed.

5. A message will show up in the command space to show you the package has been successfully installed. The package R_packages_path.r does not need to be installed.

6. You can close R and go back to DSSAT.

References

Jones, James W., Jianqiang He, Kenneth J. Boote, Paul Wilkens, C. H. Porter, and Z. Hu. Estimating DSSAT cropping system cultivar-specific parameters using Bayesian techniques. Chapter -- in L.R. Ahuja and L. Ma (Eds.) “Methods of Introducing System Models into Agricultural Research”. Advances in Agricultural Systems Modeling 2. American Society of Agronomy, Crop Science Society of America, and Soil Science Society of America, Madison, WI USA. ---pp.

He, J., J. W Jones, W. D Graham, and M. D Dukes. 2010. Influence of likelihood function choice for estimating crop model parameters using the generalized likelihood uncertainty estimation method. Agricultural Systems 103, no. 5: 256-264.